# -*- encoding: utf-8 -*-
# stub: caperoma 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "caperoma".freeze
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Serge Vinogradoff".freeze]
  s.date = "2019-07-27"
  s.description = "    Caperoma automates many decisions related to the programming that you often don't realize, and which you can forget hundreds of times during the time of working on the project:\n    pulling the latest code from upstream before you start working,\n    remembering from which branch you started the feature to later make a pull request into it,\n    creating & starting tasks in Jira,\n    creating & starting tasks in Pivotal,\n    naming branches,\n    adding Jira ID into the branch name,\n    style guide checks,\n    commits,\n    naming commits,\n    adding Jira ID into commit name,\n    adding Pivotal ID into commit name,\n    git pushes,\n    pull requests into correct branches,\n    stopping tasks in Jira,\n    stopping tasks in Pivotal,\n    tracking time,\n    logging time to Jira,\n    switching back into the original branch and much more.\n".freeze
  s.email = "sergevinogradoff.caperoma@gmail.com".freeze
  s.executables = ["caperoma".freeze]
  s.extra_rdoc_files = ["HELP".freeze, "README.md".freeze]
  s.files = ["HELP".freeze, "README.md".freeze, "bin/caperoma".freeze]
  s.homepage = "http://github.com/zoopyserg/caperoma".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "Thanks for installing Caperoma! \n Run `caperoma setup` to create the database for your work.".freeze
  s.requirements = ["Ruby 2.4 or higher".freeze, "SQLite".freeze, "Git".freeze, "Crontab".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Automate your workflow with Ruby / Git / Jira / PivotalTracker.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<actionpack>.freeze, ["~> 5.2.3"])
    s.add_runtime_dependency(%q<actionview>.freeze, ["~> 5.2.3"])
    s.add_runtime_dependency(%q<activerecord>.freeze, ["~> 5.2.3"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 5.2.3"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["~> 0.15.4"])
    s.add_runtime_dependency(%q<gmail>.freeze, ["~> 0.7.1"])
    s.add_runtime_dependency(%q<jbuilder>.freeze, ["~> 2.9.1"])
    s.add_runtime_dependency(%q<pivotal-tracker>.freeze, ["~> 0.5.13"])
    s.add_runtime_dependency(%q<rubocop>.freeze, ["~> 0.73.0"])
    s.add_runtime_dependency(%q<sqlite3>.freeze, ["~> 1.4.1"])
    s.add_runtime_dependency(%q<time_difference>.freeze, ["~> 0.7.0"])
    s.add_runtime_dependency(%q<whenever>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<database_cleaner>.freeze, ["~> 1.7.0"])
    s.add_development_dependency(%q<factory_girl>.freeze, ["~> 4.9.0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 6.1.1"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8.0"])
    s.add_development_dependency(%q<shoulda>.freeze, ["~> 2.11.3"])
    s.add_development_dependency(%q<shoulda-matchers>.freeze, ["~> 4.1.0"])
    s.add_development_dependency(%q<timecop>.freeze, ["~> 0.9.1"])
  else
    s.add_dependency(%q<actionpack>.freeze, ["~> 5.2.3"])
    s.add_dependency(%q<actionview>.freeze, ["~> 5.2.3"])
    s.add_dependency(%q<activerecord>.freeze, ["~> 5.2.3"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 5.2.3"])
    s.add_dependency(%q<faraday>.freeze, ["~> 0.15.4"])
    s.add_dependency(%q<gmail>.freeze, ["~> 0.7.1"])
    s.add_dependency(%q<jbuilder>.freeze, ["~> 2.9.1"])
    s.add_dependency(%q<pivotal-tracker>.freeze, ["~> 0.5.13"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.73.0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.4.1"])
    s.add_dependency(%q<time_difference>.freeze, ["~> 0.7.0"])
    s.add_dependency(%q<whenever>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<database_cleaner>.freeze, ["~> 1.7.0"])
    s.add_dependency(%q<factory_girl>.freeze, ["~> 4.9.0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 6.1.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.8.0"])
    s.add_dependency(%q<shoulda>.freeze, ["~> 2.11.3"])
    s.add_dependency(%q<shoulda-matchers>.freeze, ["~> 4.1.0"])
    s.add_dependency(%q<timecop>.freeze, ["~> 0.9.1"])
  end
end
